GarageMaster/Controllers/AboutProjectController.cs
using System;
using GarageMaster.Models.AboutProjectModels;
using Microsoft.AspNetCore.Mvc;
using GarageMaster.Services.AboutProjects.Contracts;

namespace GarageMaster.Controllers
{
    public class AboutProjectController : Controller
    {
        private readonly IAboutProjectsService _aboutProjectsService;

        public AboutProjectController(IAboutProjectsService aboutProjectsService)
        {
            if (aboutProjectsService == null)
                throw new ArgumentNullException(nameof(aboutProjectsService));

            _aboutProjectsService = aboutProjectsService;
        }

        [HttpGet]
        public IActionResult Index()
        {
            var aboutProjectModel = _aboutProjectsService.GetAboutProject();

            return View(aboutProjectModel);
        }

        [HttpGet]
        public IActionResult CreateAboutProject()
        {
            return View();
        }

        [HttpPost]
        public IActionResult CreateAboutProject(AboutProjectCreateModel model)
        {
            if (ModelState.IsValid)
            {
                _aboutProjectsService.CreateAboutProject(model);
                return RedirectToAction("Index");
            }
            else
            {
                return View(model);
            }
        }

        [HttpGet]
        public IActionResult EditAboutProject()
        {
            var model = _aboutProjectsService.GetAboutProjectForEdit();

            return View(model);
        }

        [HttpPost]
        public IActionResult EditAboutProject(AboutProjectEditModel model)
        {
            if (ModelState.IsValid)
            {
                _aboutProjectsService.EditAboutProject(model);
                return RedirectToAction("Index");
            }
            else
            {
                return View(model);
            }

        }
    }
}

GarageMaster/Controllers/ContactsController.cs
using Microsoft.AspNetCore.Mvc;
using System;
using GarageMaster.Models.ContactsModels;
using GarageMaster.Services.Contacts.Contracts;

namespace GarageMaster.Controllers
{
    public class ContactsController : Controller
    {
        private readonly IContactsService _contactsService;

        public ContactsController(IContactsService contactsService)
        {
            if (contactsService == null)
                throw new ArgumentNullException(nameof(contactsService));

            _contactsService = contactsService;
        }

        [HttpGet]
        public IActionResult Index()
        {
            var contactModel = _contactsService.GetContact();

            return View(contactModel);
        }

        [HttpGet]
        public IActionResult CreateContact()
        {
            return View();
        }

        [HttpPost]
        public IActionResult CreateContact(ContactCreateModel model)
        {
            if (ModelState.IsValid)
            {
                _contactsService.CreateContact(model);
                return RedirectToAction("Index");
            }
            else
            {
                return View(model);
            }
        }

        [HttpGet]
        public IActionResult EditContact()
        {
            var model = _contactsService.GetContactForEdit();

            return View(model);
        }

        [HttpPost]
        public IActionResult EditContact(ContactEditModel model)
        {
            if (ModelState.IsValid)
            {
                _contactsService.EditContact(model);
                return RedirectToAction("Index");
            }
            else
            {
                return View(model);
            }

        }
    }
}

GarageMaster/Controllers/HomeController.cs
using GarageMaster.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System.Diagnostics;

namespace GarageMaster.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Admin()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

GarageMaster/Controllers/RuleController.cs
using System;
using GarageMaster.Models.RulesModels;
using Microsoft.AspNetCore.Mvc;
using GarageMaster.Services.Rules.Contracts;

namespace GarageMaster.Controllers
{
    public class RuleController : Controller
    {
        private readonly IRulesService _rulesService;

        public RuleController(IRulesService rulesService)
        {
            if (rulesService == null)
                throw new ArgumentNullException(nameof(rulesService));

            _rulesService = rulesService;
        }

        [HttpGet]
        public IActionResult Index()
        {
            var ruleModel = _rulesService.GetRule();

            return View(ruleModel);
        }

        [HttpGet]
        public IActionResult CreateRule()
        {
            return View();
        }

        [HttpPost]
        public IActionResult CreateRule(RuleCreateModel model)
        {
            if (ModelState.IsValid)
            {
                _rulesService.CreateRule(model);
                return RedirectToAction("Index");
            }
            else
            {
                return View(model);
            }
        }

        [HttpGet]
        public IActionResult EditRule()
        {
            var model = _rulesService.GetRuleForEdit();

            return View(model);
        }

        [HttpPost]
        public IActionResult EditRule(RuleEditModel model)
        {
            if (ModelState.IsValid)
            {
                _rulesService.EditRule(model);
                return RedirectToAction("Index");
            }
            else
            {
                return View(model);
            }

        }
    }
}

GarageMaster/Views/Home/Admin.cshtml
@{
    ViewData["Title"] = "Admin";
}

<h1>@ViewData["Admin"]</h1>

<div>
    <div>
        <b>Контакты</b>
    </div>
    <div>
        <a class="nav-link text-dark" asp-area="" asp-controller="Contacts" asp-action="CreateContact">Create Contact</a>
        <a class="nav-link text-dark" asp-area="" asp-controller="Contacts" asp-action="EditContact">Edit Contact</a>
        <a class="nav-link text-dark" asp-area="" asp-controller="Contacts" asp-action="Index">Contact</a>
    </div>

    <div>
        <b>О проекте</b>
    </div>
    <div>
        <a class="nav-link text-dark" asp-area="" asp-controller="AboutProject" asp-action="CreateAboutProject">Create AboutProject</a>
        <a class="nav-link text-dark" asp-area="" asp-controller="AboutProject" asp-action="EditAboutProject">Edit AboutProject</a>
        <a class="nav-link text-dark" asp-area="" asp-controller="AboutProject" asp-action="Index">AboutProject</a>
    </div>

    <div>
        <b>Правила пользования</b>
    </div>
    <div>
        <a class="nav-link text-dark" asp-area="" asp-controller="Rule" asp-action="CreateRule">Create Rule</a>
        <a class="nav-link text-dark" asp-area="" asp-controller="Rule" asp-action="EditRule">Edit Rule</a>
        <a class="nav-link text-dark" asp-area="" asp-controller="Rule" asp-action="Index">Rule</a>
    </div>

    <ul>
        <li class="nav-item">
            @*<a class="nav-link text-dark" asp-area="" asp-controller="DepartmentLevel" asp-action="Index">Уровни управления</a>*@
        </li>
        <li class="nav-item">
            @*<a class="nav-link text-dark" asp-area="" asp-controller="Department" asp-action="Index">Подразделения</a>*@
        </li>
        <li class="nav-item">
            @*<a class="nav-link text-dark" asp-area="" asp-controller="Position" asp-action="Index">Должности</a>*@
        </li>
    </ul>


</div>

GarageMaster/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>